
<%= form_with model: [:admin, @quote], local: true do |form| %>
 
  <% if @quote.errors.any? %>
    <div class="callout alert">
      <div>
        <%= pluralize(@quote.errors.count, "error") %> prohibited
        this quote from being saved:
      </div>
      <ul>
        <% @quote.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
 
  <div class="grid-x">
    <div class="small-12 medium-8 large-5 cell">
      <label>
        <textarea name="quote[text]" placeholder="Text" rows="4"><%= @quote.text %></textarea>
      </label>
    </div>
  </div>

  <div class="grid-x">
    <div class="small-12 medium-8 large-5 cell">
      <label>Author
        <input type="text" name="quote[author]" placeholder="Author" value="<%= @quote.author %>">
      </label>
    </div>
  </div>

  <%= form.submit 'Confirm', :class => 'button' %>
  <%= link_to 'Cancel', admin_quotes_path, class: "button alert" %>
 
<% end %>
